<template>
  <div class="inline-16">
    <el-popconfirm
        title="确定删除当前选中账号吗？"
        @confirm="deleteRow()">
      <el-button slot="reference" size="small" type="text">删 除</el-button>
    </el-popconfirm>
  </div>
</template>

<script>
export default {
  name: "brand_del",
  props:['data'],
  methods: {
    async deleteRow(){
      const res = await this.$api.requested({
        "id": "20220922085203",
        "version":1,
        "content": {
          "sa_brandid": this.data.sa_brandid
        }
      })
      this.tool.showMessage(res, () => {
        console.log(res)
        this.$emit('onSuccess')
      })
    }
  }
}
</script>

<style scoped>

</style>